using System;
using System.Web.UI;

namespace NKC_WF
{
    public partial class vocabolario : BasePage
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

            if (!Page.IsPostBack)
            {
                ((SiteContent)this.Master).showSearch = false;
                mod_righePag.numRowPag = 10;
                mod_vocabolario.pageSize = mod_righePag.numRowPag;
            }
            // imposto controlli eventi
            mod_vocabolario.eh_selezioneValore += new EventHandler(mod_vocabolario_eh_selezioneValore);
            mod_vocabolario.eh_resetSelezione += new EventHandler(mod_vocabolario_eh_resetSelezione);
            // setto visibilità dettaglio termini
            mod_lemmiVocab.Visible = false;
            mod_righePag.eh_newNum += mod_righePag_eh_newNum;
        }
        /// <summary>
        /// aggiornato numero righe datagrid... aggiorno visualizzazione
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void mod_righePag_eh_newNum(object sender, EventArgs e)
        {
            mod_vocabolario.pageSize = mod_righePag.numRowPag;
        }
        void mod_vocabolario_eh_resetSelezione(object sender, EventArgs e)
        {
            mod_lemmiVocab.Visible = false;
            Session.Remove("lemma_sel");
        }

        void mod_vocabolario_eh_selezioneValore(object sender, EventArgs e)
        {
            mod_lemmiVocab.Visible = true;
            mod_lemmiVocab.doUpdate();
        }

        protected override void OnUnload(EventArgs e)
        {
            base.OnUnload(e);
            mod_vocabolario.eh_selezioneValore -= new EventHandler(mod_vocabolario_eh_selezioneValore);
            mod_vocabolario.eh_resetSelezione -= new EventHandler(mod_vocabolario_eh_resetSelezione);
        }
    }
}
